<template>
  <el-dialog :visible.sync="isShow" class="effect-vol-calc" title="周边资源信息" :modal="false" v-dialog-drag
           width="400"  >
<el-row>
  <el-col :span="3" style="text-align: center;">
    <el-row> <el-button type="primary" size="mini" @click="reSet">应急基础</el-button>  </el-row>
<el-row>    <el-button type="primary" size="mini" @click="reSet">在线监测</el-button></el-row>
<el-row>    <el-button type="primary" size="mini" @click="reSet">应急资源</el-button></el-row>
<el-row>    <el-button type="primary" size="mini" @click="reSet">周边环境</el-button></el-row>
<el-row>   <el-button type="primary" size="mini" @click="reSet">管道信息</el-button></el-row>
  </el-col>
  <el-col :span="21">
<el-row>
  <el-button type="primary" size="mini" @click="reSet">内排口(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">外排口(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">隔油池(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">节流阀(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">阀门(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">集水池(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">事故水管线(1)</el-button>
  <el-button type="primary" size="mini" @click="reSet">雨水管线(1)</el-button>
</el-row>
    <el-row>
      <el-table
          :data="currentTableData.data"
          style="width: 100%">
        <el-table-column v-for="item in currentTableData.column"
            :prop="item.prop"
            :label="item.label" :width="item.width" :key="item.label"
            >
        </el-table-column>

      </el-table>
    </el-row>
  </el-col>
</el-row>
  </el-dialog>
</template>

<script>
export default {
  name: 'ResInfo',
  data () {
    return {
      isShow: false,
      tableData: [
        {
          id: 1,
          name: '应急基础',
          child: [{
            name: '内排口',
            column: [{
              label: '序号',
              prop: 'no',
              width: 'auto'
            },
            {
              label: '存放点名称',
              prop: 'name',
              width: 'auto'
            },
            {
              label: '存放点类型',
              prop: 'type',
              width: 'auto'
            },
            {
              label: '负责人',
              prop: 'master',
              width: 'auto'
            },
            {
              label: '联系电话',
              prop: 'phone',
              width: 'auto'
            },
            {
              label: '物资名称（汇总）',
              prop: 'total',
              width: '200'
            },
            {
              label: '距离',
              prop: 'distance',
              width: 'auto'
            }]
          }]
        }
      ],
      currentTableData: {
        column: [{
          label: '序号',
          prop: 'no',
          width: 'auto'
        },
        {
          label: '存放点名称',
          prop: 'name',
          width: 'auto'
        },
        {
          label: '存放点类型',
          prop: 'type',
          width: 'auto'
        },
        {
          label: '负责人',
          prop: 'master',
          width: 'auto'
        },
        {
          label: '联系电话',
          prop: 'phone',
          width: 'auto'
        },
        {
          label: '物资名称（汇总）',
          prop: 'total',
          width: '200'
        },
        {
          label: '距离',
          prop: 'distance',
          width: 'auto'
        }],
        data: [{
          no: '1',
          name: '金陵时候应急物资存放点',
          type: '库房存放点',
          master: '张三',
          phone: '1333333333',
          total: '清水泵；编织袋；铁镐；铁锹；雨衣；雨鞋；防水手电；探照灯；麻绳',
          distance: '900m'
        }, {
          no: '2',
          name: '金陵时候应急物资存放点',
          type: '库房存放点',
          master: '张三三',
          phone: '1333333333',
          total: '清水泵；编织袋；铁镐；铁锹；雨衣；雨鞋；防水手电；探照灯；麻绳',
          distance: '900m'
        }]
      }
    }
  },
  methods: {
    handleClose (done) {
      this.isShow = false
    },
    setVisible (s) {
      this.isShow = s
    },
    getVisible () {
      return this.isShow
    },
    reSet () {

    }
  }
}
</script>

<style scoped>

</style>
